<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$ven_id=$_GET['id']; 
$sql=mysqli_query($con, "SELECT * from ventas where ven_id='$ven_id' and empresa='$empresa'");
$reg=mysqli_fetch_array($sql);
$Cliente_clie_id=$reg['Cliente_clie_id'];
$ven_forma_de_pago=$reg['ven_forma_de_pago'];

$cli=mysqli_query($con, "SELECT * from cliente where clie_id='$Cliente_clie_id' and empresa='$empresa'");
$cli=mysqli_fetch_array($cli);
$clie_id=$cli['clie_id'];
$clie_nombre=$cli['clie_nombre'];


$descuento=0;
$sumador_total=0;
$sql=mysqli_query($con, "SELECT * from  venta_detalle where ventas_ven_id='$ven_id'");
while ($row=mysqli_fetch_array($sql))
    {
        $id=$row["vend_id"];
        $vend_referencia=$row['vend_referencia'];
        $vend_cantidad=$row['vend_cantidad'];
        $vend_nombre=$row['vend_nombre'];
        $vend_precio=$row['vend_precio'];
        $vend_iva=$row['vend_iva'];
        $vend_descuento=$row['vend_desc'];
        $ivaf=$vend_iva/100;
        $precio_total=$vend_precio*$vend_cantidad;
        $descuento=($vend_descuento/100)*$precio_total;
        $iva=$vend_precio*$ivaf;
        $sin_iva=$vend_precio-$iva;
        $sumador_total+=$precio_total-$descuento;//Sumador
    }
?>                
<form method="post" action="" id="Actulizar" name="Actulizar">
    <div class="form-group">
        <label>Factura N</label>
        <input type="hidden" id="ven_id" name="ven_id" value="<?php echo $reg['ven_id'];?>" class="form-control name_list" readonly>
        <input type="text" name="ven_n_venta" value="<?php echo $reg['ven_n_venta'];?>" class="form-control input-sm" autocomplete="off" required readonly>
        <label>Forma de Pago</label>
        <input type="text" name="ven_forma_de_pago" value="<?php echo $ven_forma_de_pago;?>" class="form-control input-sm" autocomplete="off" required readonly>
        <label> Actulizar Forma de Pago</label>
        <SELECT name="forma_pago" onChange="xxxOnChange(this)" class="form-control name_list input-sm" required >
            <?php if ($ven_forma_de_pago=='Contado') 
                {   
                    echo "<option value=''>--Seleccione--</option>";
                    echo "<option value='Transferencia' >Transferencia</option>";
                    echo "<option value='Tarjeta' >Tarjeta</option>";        
                } 
                else if ($ven_forma_de_pago=='Transferencia')  
                {
                   
                    echo "<option value=''>--Seleccione--</option>";
                    echo "<option value='Contado' >Contado</option>";
                    echo "<option value='Tarjeta' >Tarjeta</option>";
                }  
                else if ($ven_forma_de_pago=='Tarjeta')  
                {
                   
                    echo "<option value=''>--Seleccione--</option>";
                    echo "<option value='Contado' >Contado</option>";
                    echo "<option value='Transferencia' >Transferencia</option>";
                }
            ?>
        </SELECT>

         <div id="1" style="display: none;">
            <label>PLATAFORMA DE PAGO</label>
            <section id="intro" >
                <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required>
                     <option value='0'>--Seleccione--</option>
                    <?php
                        $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                        while( $fila = mysqli_fetch_array( $datos ) )
                        {

                            echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                        }
                    ?>
                </select>
            </section>
        </div>
    </div>

        

    
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" name="btn_anular" class="btn btn-success" value="btn_anular" id="btn_anular">Actualizar</button>
    </div>
</form>

<script>
$( "#Actulizar" ).submit(function( event ) {
$('#btn_anular').attr("disabled", true);

var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_pos/actualizar_metodo_pago.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados").html(datos);
        $('#btn_anular').attr("disabled", false);

        $('#modi-pago').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
       load(1);
      }
  });
  event.preventDefault();
})


function xxxOnChange(sel) 
{
    if (sel.value=="Contado")
    {
        divC = document.getElementById("1");
        divC.style.display = "none";
    }
    else if (sel.value=="Transferencia")
    {
        divC = document.getElementById("1");
        divC.style.display="";
    } 
    else if (sel.value=="Tarjeta")
    {
        divC = document.getElementById("1");
        divC.style.display="";
    }
}
</script>